# Vivarium-Interface

Vivarium-Interface is the entry point to the Vivarium 2.0 ecosystem. By integrating tools from multiple repositories, 
it provides everything needed to design, validate, simulate, and visualize multiscale cellular systems:

- [Bigraph Schema](https://github.com/vivarium-collective/bigraph-schema): A robust, serializable type system for defining and manipulating objects and edges in simulations.
- [Process-Bigraph](https://github.com/vivarium-collective/process-bigraph): A composite engine and process interface for simulating distributed processes.
- [Bigraph-Viz](https://github.com/vivarium-collective/bigraph-viz): A visualization library for creating diagrams of process-bigraph configurations.

Vivarium-Interface unifies these tools with a simple Python API, enabling users to design and execute composite simulations.

**Note: This project is still in development.**

## Features

- Python API that facilitates building multiscale composites.
- Manage and run simulations with composite processes.
- Serialize and save simulation states.
- Generate visual diagrams of the simulation.
- Retrieve and format simulation results.

## Demos
* [Vivarium Basic Demo](https://vivarium-collective.github.io/vivarium-interface/notebooks/demo.html).
